Open CASCADE Technology: StepElement_CurveElementFreedom Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepElement_CurveElementFreedom Class Reference

Representation of STEP SELECT type CurveElementFreedom. More...

`#include <StepElement_CurveElementFreedom.hxx>`

Inheritance diagram for StepElement_CurveElementFreedom:
[legend]

## Public Member Functions
| StepElement_CurveElementFreedom ()
| Empty constructor. More...
Standard_Integer | CaseNum (const Handle< Standard_Transient > &ent) const
| Recognizes a kind of CurveElementFreedom select type return 0. More...
virtual Standard_Integer | CaseMem (const Handle< StepData_SelectMember > &ent) const
| Recognizes a items of select member CurveElementFreedomMember 1 -> EnumeratedCurveElementFreedom 2 -> ApplicationDefinedDegreeOfFreedom 0 else. More...
virtual Handle< StepData_SelectMember > | NewMember () const
| Returns a new select member the type CurveElementFreedomMember. More...
void | SetEnumeratedCurveElementFreedom (const StepElement_EnumeratedCurveElementFreedom aVal)
| Set Value for EnumeratedCurveElementFreedom. More...
StepElement_EnumeratedCurveElementFreedom | EnumeratedCurveElementFreedom () const
| Returns Value as EnumeratedCurveElementFreedom (or Null if another type) More...
void | SetApplicationDefinedDegreeOfFreedom (const Handle< TCollection_HAsciiString > &aVal)
| Set Value for ApplicationDefinedDegreeOfFreedom. More...
Handle< TCollection_HAsciiString > | ApplicationDefinedDegreeOfFreedom () const
| Returns Value as ApplicationDefinedDegreeOfFreedom (or Null if another type) More...
Public Member Functions inherited from StepData_SelectType
Standard_Boolean | Matches (const Handle< Standard_Transient > &ent) const
| Returns True if the Type of an Entity complies with the definition list of the SelectType. Also checks for a SelectMember Default Implementation looks for CaseNum or CaseMem positive. More...
void | SetValue (const Handle< Standard_Transient > &ent)
| Stores an Entity. This allows to define a specific SelectType class with one read method per member Type, which returns the Value casted with the good Type. More...
void | Nullify ()
| Nullifies the Stored Entity. More...
const Handle< Standard_Transient > & | Value () const
| Returns the Stored Entity. Can be used to define specific read methods (see above) More...
Standard_Boolean | IsNull () const
| Returns True if there is no Stored Entity (i.e. it is Null) More...
Handle< Standard_Type > | Type () const
| Returns the Effective (Dynamic) Type of the Stored Entity If it is Null, returns TYPE(Transient) More...
Standard_Integer | CaseNumber () const
| Recognizes the Type of the stored Entity, or zero if it is Null or SelectMember. Calls the first method CaseNum on Value. More...
virtual Handle< StepData_PDescr > | Description () const
| Returns the Description which corresponds to <me> Null if no specific description to give. This description is used to control reading an check validity. Default returns a Null Handle, i.e. undefined description It can suffice if CaseNum and CaseMem give enough control. More...
Standard_Integer | CaseMember () const
| Returns the Type of the stored SelectMember, or zero if it is Null or Entity. Calls the method CaseMem on Value. More...
Handle< StepData_SelectMember > | Member () const
| Returns Value as a SelectMember. Null if not a SelectMember. More...
Standard_CString | SelectName () const
| Returns the type name of SelectMember. If no SelectMember or with no type name, returns an empty string To change it, pass through the SelectMember itself. More...
Standard_Integer | Int () const
| This internal method gives access to a value implemented by an Integer (to read it) More...
void | SetInt (const Standard_Integer val)
| This internal method gives access to a value implemented by an Integer (to set it) : a SelectMember MUST ALREADY BE THERE ! More...
Standard_Integer | Integer () const
| Gets the value as an Integer. More...
void | SetInteger (const Standard_Integer val, const Standard_CString name="")
| Sets a new Integer value, with an optional type name Warning : If a SelectMember is already set, works on it : value and name must then be accepted by this SelectMember. More...
Standard_Boolean | Boolean () const
void | SetBoolean (const Standard_Boolean val, const Standard_CString name="")
StepData_Logical | Logical () const
void | SetLogical (const StepData_Logical val, const Standard_CString name="")
Standard_Real | Real () const
void | SetReal (const Standard_Real val, const Standard_CString name="")
virtual void | Destroy ()
virtual | ~StepData_SelectType ()

## Detailed Description

Representation of STEP SELECT type CurveElementFreedom.

## Constructor & Destructor Documentation

StepElement_CurveElementFreedom::StepElement_CurveElementFreedom | ( |  | ) |

Empty constructor.

## Member Function Documentation

Handle< TCollection_HAsciiString > StepElement_CurveElementFreedom::ApplicationDefinedDegreeOfFreedom | ( |  | ) | const

Returns Value as ApplicationDefinedDegreeOfFreedom (or Null if another type)

virtual Standard_Integer StepElement_CurveElementFreedom::CaseMem | ( | const Handle< StepData_SelectMember > & | ent | ) | const
| virtual

Recognizes a items of select member CurveElementFreedomMember 1 -> EnumeratedCurveElementFreedom 2 -> ApplicationDefinedDegreeOfFreedom 0 else.

Reimplemented from StepData_SelectType.

Standard_Integer StepElement_CurveElementFreedom::CaseNum | ( | const Handle< Standard_Transient > & | ent | ) | const
| virtual

Recognizes a kind of CurveElementFreedom select type return 0.

Implements StepData_SelectType.

StepElement_EnumeratedCurveElementFreedom StepElement_CurveElementFreedom::EnumeratedCurveElementFreedom | ( |  | ) | const

Returns Value as EnumeratedCurveElementFreedom (or Null if another type)

virtual Handle< StepData_SelectMember > StepElement_CurveElementFreedom::NewMember | ( |  | ) | const
| virtual

Returns a new select member the type CurveElementFreedomMember.

Reimplemented from StepData_SelectType.

void StepElement_CurveElementFreedom::SetApplicationDefinedDegreeOfFreedom | ( | const Handle< TCollection_HAsciiString > & | aVal | ) |

Set Value for ApplicationDefinedDegreeOfFreedom.

void StepElement_CurveElementFreedom::SetEnumeratedCurveElementFreedom | ( | const StepElement_EnumeratedCurveElementFreedom | aVal | ) |

Set Value for EnumeratedCurveElementFreedom.

The documentation for this class was generated from the following file:

- StepElement_CurveElementFreedom.hxx